Ask Your Question
0

error 2.Compile the code

asked 2010-10-25 05:21:46 -0500

shihangwei gravatar image

2.Compile the code sudo python setup.py install i got this " File "setup.py", line 34 with open("ChangeLog", "w") as changelog_file: ^ SyntaxError: invalid syntax

" and my python is python2.4

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
0

answered 2010-10-25 08:15:31 -0500

shihangwei gravatar image

Thanks gholt, that solved my question.

edit flag offensive delete link more
0

answered 2010-10-25 08:13:40 -0500

shihangwei gravatar image

i update python to 2.6.5 and i'm OK now.

thanks,gholt.

edit flag offensive delete link more
0

answered 2010-10-25 06:03:08 -0500

gholt gravatar image

http://swift.openstack.org/getting_started.html (http://swift.openstack.org/getting_st...)

Swift requires Python 2.6. There's a bug to someday make it work with 2.5 https://bugs.launchpad.net/swift/+bug/611007 (https://bugs.launchpad.net/swift/+bug...) but it is unlikely it will ever be made to run under 2.4 or earlier.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2010-10-25 05:21:46 -0500

Seen: 44 times

Last updated: Oct 25 '10